WordPress.org

Forums

Restrict Widgets
[resolved] Compatibility with WordPress 3.8 (6 posts)

  1. Hassan
    Member
    Posted 1 year ago #

    The plugin still works fine on the front-end (i.e. it does show/hide the widgets conditionally), but the admin UI (meta box) that it adds in the Widgets screen might need some tweaks to adopt the changes introduced in 3.8. For example, it has an odd background color and is now not collapsible.

    http://wordpress.org/plugins/restrict-widgets/

  2. dFactory
    Member
    Plugin Author

    Posted 1 year ago #

    Thanks Hassan, we're working on it already.

  3. Hassan
    Member
    Posted 1 year ago #

    Thanks for that. I just updated the plugin and it looks better now. However, the meta box is still not collapsible like the Available Widgets and Inactive Widgets ones. Is that intended?

  4. dFactory
    Member
    Plugin Author

    Posted 1 year ago #

    Yes, because it didn't look nice if made it like that. But at the same time it became obvious thet it will be best to move those settings form widget to a separate settings page.

  5. Hassan
    Member
    Posted 1 year ago #

    So... you are going to move those settings from the widgets screen to a separate settings page in an upcoming update?

  6. dFactory
    Member
    Plugin Author

    Posted 1 year ago #

    Exactly Hassan, in one of the future updates.

Topic Closed

This topic has been closed to new replies.

About this Plugin

  • Restrict Widgets
  • Frequently Asked Questions
  • Support Threads
  • Reviews

About this Topic